Summary:          Python code checking using pyflakes, pycodestyle, and mccabe
Name:             python-flake8
Version:          4.0.1
Release:          4%{?dist}
License:          MIT
URL:              https://gitlab.com/pycqa/flake8
Source0:          %{pypi_source flake8}

BuildRequires:    python%{python3_pkgversion}-devel python%{python3_pkgversion}-pytest
BuildArch:        noarch

%description
Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script. It runs all the tools by
launching the single flake8 script, and displays the warnings in a per-file, merged output.

It also adds a few features: files that contain "# flake8: noqa" are skipped, lines that contain a
"# noqa" comment at the end will not issue warnings, Git and Mercurial hooks are included, a McCabe
complexity checker is included, and it is extendable through flake8.extension entry points.

%package -n python%{python3_pkgversion}-flake8
Summary:          Python code checking using pyflakes, pycodestyle, and mccabe

%description -n python%{python3_pkgversion}-flake8
Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script. It runs all the tools by
launching the single flake8 script, and displays the warnings in a per-file, merged output.

It also adds a few features: files that contain "# flake8: noqa" are skipped, lines that contain a
"# noqa" comment at the end will not issue warnings, Git and Mercurial hooks are included, a McCabe
complexity checker is included, and it is extendable through flake8.extension entry points.

%prep
%autosetup -p1 -n flake8-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flake8

ln -s flake8 %{buildroot}%{_bindir}/flake8-3
ln -s flake8 %{buildroot}%{_bindir}/flake8-%{python3_version}
ln -s flake8 %{buildroot}%{_bindir}/python3-flake8

%check
%pytest tests -v

%files -n python%{python3_pkgversion}-flake8 -f %{pyproject_files}
%doc README.rst CONTRIBUTORS.txt
%{_bindir}/flake8
%{_bindir}/flake8-3
%{_bindir}/flake8-%{python3_version}
%{_bindir}/python3-flake8

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Shuo Wang <abushwang@tencent.com> - 4.0.1-1
- initial build
